#ifndef JTSCHEDULEWIDGET_H
#define JTSCHEDULEWIDGET_H

#include <QWidget>

#include "jtsettingsdialog.h"

class QLabel;
class QTimeEdit;
class QTime;

class QjtScheduleWidget : public QWidget
{
friend void QjtSettingsDialog::save_and_close();

Q_OBJECT

	QLabel *m_daysLabel;
	QTimeEdit *m_workingTimeEdit;
	QTimeEdit *m_arrivTimeEdit;
	QTimeEdit *m_pauseTimeEdit;

public:

	QjtScheduleWidget( QTime *arrivTimes, QTime *pauseTimes, QTime *workingTimes, QWidget *parent = 0 );
	~QjtScheduleWidget();

};

#endif