#ifndef JTSETTINGSDIALOG_H
#define JTSETTINGSDIALOG_H

#include <QDialog>
#include <QTime>

class QLabel;
class QString;
class QTimeEdit;
class QjtScheduleWidget;
class QjtApplicationWidget;

class QjtSettingsDialog : public QDialog
{

Q_OBJECT
//members
	QjtScheduleWidget *m_schedWidget;
	QjtApplicationWidget *m_appliWidget;
//functions
public:
	QjtSettingsDialog( QTime *arrivTimes, QTime *pauseTimes, QTime *workingTimes, QWidget* parent=0 );

signals:
	void save( QTimeEdit *, QTimeEdit *, QTimeEdit * );

public slots: 
	void save_and_close();

};


#endif
