#ifndef JTAPPLICATIONWIDGET_H
#define JTAPPLICATIONWIDGET_H

#include <QWidget>
#include <QString>

#include "jtsettingsdialog.h"

class QLineEdit;
class QCheckBox;

class QjtApplicationWidget : public QWidget
{
friend void QjtSettingsDialog::save_and_close();

Q_OBJECT
	QLineEdit *m_reportPathEdit;
	//QTimeEdit *m_autocloseEdit;
	QCheckBox *m_hideOnStartCheckBox;

public:

	QjtApplicationWidget( const bool hideOnStart, const QString reportPath,
		/*const QTime autocloseTime,*/ QWidget *parent );

private slots:
	void showFileDialog();

};

#endif
