#ifndef JTSTANDARDITEMMODEL_H
#define JTSTANDARDITEMMODEL_H

#include <QStandardItemModel>
#include <QTime>

class QjtStandardItemModel : public QStandardItemModel
{

Q_OBJECT
//members
	int m_rowCount;
	double m_cumulativeOvertimeInHours;

//functions
public:
	QjtStandardItemModel(int rows, int columns, QObject * parent);
	const QModelIndex getScrollIndex( short visibleRows );
	const QString getOvertimeString( double overtime );
	bool readReportFile(QString fileName);
	bool writeReportFile(QString filename, QTime arrivTime, QTime pauseTime, QTime *workingTime);

};


#endif