#ifndef JTTIMER_H
#define JTTIMER_H

#include <QTimer>
#include <QTime>

class QjtTimer : public QTimer
{
Q_OBJECT
	QTime m_arrivTime;
	QTime m_deparTime;
	double m_elapsedFromArrivTimeInSecs;
	double m_elapsedFromStartTimeInSecs;

public:
	QjtTimer( QTime arrivTime, QTime deparTime, QObject *parent );
	void deparTimeChanged(const QTime & time);
 	void arrivTimeChanged(const QTime & time);

signals:
	void updateProgressMeter(double elapsedTimeFraction, QTime remainingTime);

private slots:
	void update();

};

#endif

